Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 112275 - Include imagej ebuild
Summary: Include imagej ebuild
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard: sunrise suggested
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2005-11-12 06:42 UTC by aisomur
Modified: 2017-03-15 21:40 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
imagej-1.35h.ebuild (imagej-1.35h.ebuild,1.40 KB, text/plain)
2005-11-12 06:45 UTC, aisomur
Details
imagej.png (imagej.png,13.86 KB, image/png)
2005-11-12 22:21 UTC, aisomur
Details
imagej.desktop (imagej.desktop,228 bytes, text/plain)
2005-11-15 13:52 UTC, aisomur
Details
imagej-1.35i.ebuild (imagej-1.35i.ebuild,1.40 KB, text/plain)
2005-11-22 23:48 UTC, aisomur
Details
imagej-1.35j.ebuild (imagej-1.35j.ebuild,1.46 KB, text/plain)
2005-12-13 13:14 UTC, aisomur
Details
imagej-1.35k.ebuild (imagej-1.35k.ebuild,1.46 KB, text/plain)
2006-01-02 07:26 UTC, aisomur
Details
imagej-1.38a.ebuild (imagej-1.38a.ebuild,2.36 KB, application/octet-stream)
2006-10-30 07:06 UTC, aisomur
Details
imagej-1.39a.ebuild (imagej-1.39a.ebuild,2.64 KB, text/plain)
2007-07-22 16:51 UTC, aisomur
Details
ImageJ 1.42k ebuild (imagej-1.42k.ebuild,2.65 KB, text/plain)
2009-03-15 15:03 UTC, Pariksheet Nanda
Details
ImageJ update checker (ijupdate,2.61 KB, text/plain)
2009-03-15 15:09 UTC, Pariksheet Nanda
Details
imagej-1.43k.ebuild (imagej-1.43k.ebuild,2.90 KB, text/plain)
2009-11-12 14:35 UTC, George Shapovalov (RETIRED)
Details
imagej-1.45s.ebuild (imagej-1.45s.ebuild,2.90 KB, text/plain)
2012-01-08 22:18 UTC, Pariksheet Nanda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aisomur 2005-11-12 06:42:17 UTC
Hi,
I created an ebuild for imagej-1.35h.
ImageJ is a public domain Java image processing program inspired by NIH Image
for the Macintosh.
It runs, either as an online applet or as a downloadable application,
on any computer with a Java 1.1 or later virtual machine.

It works fine on my gentoo-box. There are 3 things which need to be checked:

1) I put it in sci-misc. Correct if this is wrong
2) The start up script /usr/bin/imagej: this defines memory limit and so on. Is
it suitable for everyone?
3) build.xml patch: in function src_unpack(), I patched build.xml. This care is
right?
   If you are familiar with JAVA, ant, and so on, please point out my misses.

I'll attach the ebuild...

aisomur

Reproducible: Always
Steps to Reproduce:
Comment 1 aisomur 2005-11-12 06:45:46 UTC
Created attachment 72746 [details]
imagej-1.35h.ebuild
Comment 2 aisomur 2005-11-12 22:21:15 UTC
Created attachment 72795 [details]
imagej.png

I forgot putting this icon-file.
Please put this to the directory: <your_overlay>/sci-misc/imagej/files/
Comment 3 aisomur 2005-11-15 13:52:56 UTC
Created attachment 72971 [details]
imagej.desktop

Sorry, I forgot putting this, too.
Comment 4 aisomur 2005-11-22 23:48:47 UTC
Created attachment 73417 [details]
imagej-1.35i.ebuild

v1.35i released.
Comment 5 aisomur 2005-12-13 13:14:11 UTC
Created attachment 74663 [details]
imagej-1.35j.ebuild

ImageJ 1.35j was released out.
Comment 6 aisomur 2006-01-02 07:26:51 UTC
Created attachment 75999 [details]
imagej-1.35k.ebuild

ImageJ 1.35k was released.
Comment 7 Thomas Holder 2006-05-30 08:45:17 UTC
yet another ebuild for ImageJ:
http://www.thomas-holder.de/portage/sci-misc/imagej/
Comment 8 aisomur 2006-10-30 07:06:29 UTC
Created attachment 100792 [details]
imagej-1.38a.ebuild

1.38a was released.
I drastically changed the old ebuild.
I refered to Thomas Holder's version.
Thanks for his comment and ebuild file.

From this version, you can set USE flags: plugins, doc and firefox.
If you set plugins flag, the official plugins and macros will be installed.
Setting doc flag, you can take api documents for developing ImageJ plugins.
Moreover you can configure memory size by setting environmental vriable, $IJ_MEM,
and additional class path by setting environmental vriable, $IJ_CP.
Comment 9 aisomur 2007-07-22 16:51:06 UTC
Created attachment 125662 [details]
imagej-1.39a.ebuild

1.39a was released.

I added $IJ_HOME.
It is the path of a folder which contains "plugins" directory and IJ_Prefs.txt.
Default setting is $IJ_HOME=${HOME}, i.e. ${HOME}/plugins and {HOME}/IJ_Prefs.txt.

Now I'm using $IJ_HOME=${HOME}/.imagej.
Comment 10 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-01 01:42:36 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 11 Pariksheet Nanda 2009-03-15 15:03:37 UTC
Created attachment 185091 [details]
ImageJ 1.42k ebuild

Updated deps to Java v1.6 to per upstream.

To install, please copy to /usr/local/portage/sci-misc/
Comment 12 Pariksheet Nanda 2009-03-15 15:09:23 UTC
Created attachment 185092 [details]
ImageJ update checker

Newbie bash script to check if an update is available.
Put it anywhere you like in your $PATH like /usr/bin

Eventually it would be nice to put this functionality in ImageJ directly, in ij.jar (accessible from the ImageJ menu > Help > Update ImageJ...)
Comment 13 George Shapovalov (RETIRED) gentoo-dev 2009-11-12 14:35:15 UTC
Created attachment 210030 [details]
imagej-1.43k.ebuild

New version out. I have somewhat cleaned up the ebuild (mostly cosmetic stuff). Please check. In particular: what is the reason for decrementing plugin version? My guess is that because they are released with a delay. Please let me know if the reason is differen, as I commented on this in ebuild..


I guess I'll take the bug, looking at how it is still in maintainer-needed and we are using this program in the lab (OTOH everybody else under Win :)).
Comment 14 Pariksheet Nanda 2009-11-15 17:14:25 UTC
(In reply to comment #13)
> Please check. In particular: what is the reason for decrementing plugin
> version? My guess is that because they are released with a delay. Please let me
> know if the reason is different, as I commented on this in ebuild..

It's the other way round I think.  Looking at the ImageJ FTP file creation dates, it seems the builds with the letter [a-z] are incremented development releases, i.e. 1.43k is pre-release to 1.43.  And plugins are tarballed at new IJ release time, thus 1.43 plugins is not yet created.

You might want to try #gentoo-java for more eyes to look over your ebuild.  Ofc the `plugins' use-flag will need a metadata.xml since it's not in the portage use.desc
Comment 15 Pariksheet Nanda 2012-01-08 22:18:06 UTC
Created attachment 298371 [details]
imagej-1.45s.ebuild

1.43k is no longer available for download
Comment 16 Martin Mokrejš 2017-03-15 21:40:05 UTC
I pushed this below to science overlay. It is masked until somebody helps fixing the Jython issue.


commit 395c7e7490baf0d7a6e6550fd47d966c285dc171
Author: Martin Mokrejš <mmokrejs@fold.natur.cuni.cz>
Date:   Wed Mar 15 22:38:28 2017 +0100

    sci-biology/imagej: new package
    
    Ebuild taken over from https://bugs.gentoo.org/show_bug.cgi?id=112275
    
    src_compile screams about:
    
    >>> Compiling source in /scratch/var/tmp/portage/sci-biology/imagej-1.51k/work/source ...
    !!! ERROR: Package jython was not found!
    
    but it builds fine using Apache ant.
    
    ImageJ2 is using maven as a build system ( https://imagej.net/ImageJ2 )
    
    Package-Manager: Portage-2.3.3, Repoman-2.3.1